import request from '@/utils/request'

// 查询检测订单列表
export function listInspectionOrder(query) {
  return request({
    url: '/system/inspectionOrder/list',
    method: 'get',
    params: query
  })
}

// 查询检测订单详细
export function getInspectionOrder(orderId) {
  return request({
    url: '/system/inspectionOrder/' + orderId,
    method: 'get'
  })
}

// 新增检测订单
export function addInspectionOrder(data) {
  return request({
    url: '/system/inspectionOrder',
    method: 'post',
    data: data
  })
}

// 修改检测订单
export function updateInspectionOrder(data) {
  return request({
    url: '/system/inspectionOrder',
    method: 'put',
    data: data
  })
}

// 删除检测订单
export function delInspectionOrder(orderId) {
  return request({
    url: '/system/inspectionOrder/' + orderId,
    method: 'delete'
  })
}
